package dev.fyloz.trial.colorrecipesexplorer.core.exception.model;

import dev.fyloz.trial.colorrecipesexplorer.core.model.IModel;

public class EntityAlreadyExistsException extends ModelException {

    private IdentifierType identifierType;
    private Object requestedId;

    public EntityAlreadyExistsException(Class<? extends IModel> type, IdentifierType identifierType, Object requestedId) {
        super(type);
        this.identifierType = identifierType;
        this.requestedId = requestedId;
    }

    public IdentifierType getIdentifierType() {
        return identifierType;
    }

    public Object getRequestedId() {
        return requestedId;
    }
}
